Page MenuHomePhabricator

eqiad: 1-2 VM requests for docker-registry-beta.wikimedia.org
Closed, ResolvedPublic

Description

Labs Project Testedimprove docker registry (T209271)
Site/Locationeqiad (codfw will be added later)
Number of systems1-2
Servicehttps://docker-registry-beta.wikimedia.org
Networking Requirementsnetwork access to redis::misc clusters and swift, HTTP access from varnish (text-lb?). In summary, the same as current docker-registry plus redis
Processor Requirements2
Memory4GiB
Disks20-30 GiB
Other Requirements

Context is on task T209271, i think i have the rights to do this VM myself with some help/guidance adding it here for tracking.

Event Timeline

fsero created this task.Dec 18 2018, 2:32 PM
Restricted Application added a project: Operations. · View Herald TranscriptDec 18 2018, 2:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Add codfw in the mix as well, no reason to cap this to eqiad. Everything else LGTM

Change 480732 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/dns@master] Introducing DNS entries for new docker-registries

https://gerrit.wikimedia.org/r/480732

Change 480732 merged by Fsero:
[operations/dns@master] Introducing DNS entries for new docker-registries

https://gerrit.wikimedia.org/r/480732

Mentioned in SAL (#wikimedia-operations) [2018-12-19T16:58:07Z] <fsero> DNS: updating wmnet to include new registries T212212

Change 480800 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] Adding registries VMs.

https://gerrit.wikimedia.org/r/480800

Change 480800 merged by Fsero:
[operations/puppet@production] Adding registries VMs.

https://gerrit.wikimedia.org/r/480800

fsero moved this task from Backlog to Doing on the serviceops board.Jan 14 2019, 10:08 AM
fsero moved this task from Backlog to Done on the User-fsero board.
fsero closed this task as Resolved.Feb 12 2019, 2:53 PM
fsero removed fsero as the assignee of this task.

vms are already assigned and running.